﻿# You can place the script of your game in this file.

init:
    # Declare images below this line, using the image statement.
    # eg. image eileen happy = "eileen_happy.png"
    
    # Declare characters used by this game.
    $ narrator = Character('', what_prefix="", what_suffix="", what_style="say_thought")
    $ d = Character('D', what_prefix='"', what_suffix='"', color="#6497cc", show_two_window=True)
    $ j = Character('Judge', what_prefix='"', what_suffix='"', color="#ffffff", show_two_window=True)
    $ k = Character('Kanikami', what_prefix='"', what_suffix='"', color="#ffb320", show_two_window=True)
    $ b = Character('Baltan', what_prefix='"', what_suffix='"', color="#bebebe", show_two_window=True)
    $ c = Character("Director", what_prefix='"', what_suffix='"', color="#999", kind=nvl)
                            
    #Background
    image back base = "img/B001.png"
    image back hall = "img/B002.png"
    
    #Character
    image baltan normal = "img/C001.png"
    image baltan shoot = "img/C002.png"
    image baltan sign = anim.SMAnimation("a",
        anim.State("a", "img/C003.png"),
        anim.Edge("a", 0.25, "b"),
        anim.State("b", "img/C001.png"),
        anim.Edge("b", 1, "a")
        )
    image drake normal = "img/C004.png"
    image drake point = "img/C005.png"
    image kani normal = anim.SMAnimation("a",
        anim.State("a", "img/C006.png"),
        anim.State("b", "img/C007.png"),
        anim.State("c", "img/C006.png"),
        anim.State("d", "img/C007.png"),
        anim.Edge("a", 2.00, "a"),
        anim.Edge("a", 0.25, "b"),
        anim.Edge("b", 0.25, "c"),
        anim.Edge("c", 0.25, "d"),
        anim.Edge("d", 0.25, "a")
        )
    image kani surprise = "img/C008.png"
    image objection = "img/C009.png"
    image black = Solid((0, 0, 0, 255))
    image white = Solid((255,255,255,255))
    

# The game starts here.
label splashscreen:
    
    call music2    
    scene black
    show text "There is only one truth.." with dissolve
    $ renpy.pause(2.0)
    show text "Heaven to the winner..." with dissolve
    $ renpy.pause(2.0)
    show text "And hell to the loser..." with dissolve
    $ renpy.pause(2.0)
    show text "However, justice will always prevail..." with dissolve
    $ renpy.pause(2.0)

    return

label start:
    
    $ menu_bar = True
    $ c_baltan = False
    $ c_book = False
    $ c_list = False
    $ proof = 0
    $ mask_h = False
    $ piece_s = False
    $ list_s = False
    $ question = "Q1"
    
    $ renpy.music.stop()    
    scene black
    "After an hour flight, I made it to court."
    scene back hall with dissolve
    call music1
    "Before I enter the courtroom, maybe I should review today's case."

label precourt:
    menu menu_1:
        "Ponder":
            "Today's case regards a murder that happened on the 31st of July 200X - precisely a week ago."
            "The deceased is Ultraman-0. He was found dead near the Star Garrison."
            "According to the autopsy, he suffered from excessive ray burns."
            "My search had leaded me to only one suspect..."
            extend "Alien Baltan."
            "Moreover, it seems like it will be somewhat problematic, since my rival Kanikami will be defending him."
            "I will never know if it is a mutual alliance between crusteceans."
            $ c_baltan = True
        "Check on the evidence.":
            "Choose an item."
            $ result = renpy.imagemap("img/E003.png", "img/E002.png", [
                           (40, 225, 189, 374, "mask"),
                           (230, 225, 379, 374, "piece"),
                           (420, 225, 569, 374, "book"),
                           (610, 225, 759, 374, "list")
                          ])

            if result == "mask":
                "Ultraman mask. The iconic hero mask of all time. I bought it at a festival in case it is necessary."
            elif result == "piece":
                "An artifact of unknown origin found on site. It seems like a chipped part of a larger object."
            elif result == "book":
                "Kaijuu-Daizenshu, or Monster Encyclopedia. It consists a complete list of monsters from all over the galaxy."
                if c_baltan:
                    "Let's see... Alien Baltan..."
                    extend "Ah, got it."
                    "{i}#21 Alien Baltan - A space ninja monster that is famous for his pincers and eerie laughter.{/i}"
                    "{i}They are known to be able to fire beams off their pincers, and the enviable ability to create an exact copy of himself at any given time.{/i}"
                    "{i}They harbor a loathsome rivalry towards the Ultra clan.{/i}"
                    "{i}Like: Fish, conquering the world\nDislike: Steak, Ultraman{/i}"
                    "Hmm, sounds useful."
                    $ c_book = True
            elif result == "list":
                "A menu for the EAETR(Eat All Extra Terrestial Restaurant) dated the 31st of July 200X."
                if c_baltan:
                    "I got this since I believed Baltan had dined there."
                "{i}Today's menu: Serving nothing today but Meat Pie, made with fresh herbs from MB.{/i}"
                "Hmm, it might be helpful for me."
                $ c_list = True
        "Go in the courtroom.":
            menu menu2:
                "Are you sure?"
                "Yes":
                    jump procourt
                "No":
                    pass   
    jump precourt

label procourt:
    
    scene black with dissolve
    "..."
    "......"
    "..."
    scene back base with dissolve

    $ object_bar = True
    
    call music2    
    j "The court calls for the entry of the defendant, Alien Baltan."
    call baltan_n
    if c_book:
        "Yup, that is the laughter the encyclopedia refers to."
    else:
        "That is some sinister laughter."
    j "The prosecution may begin questioning."
    d "I understand, your honor."
    
label question_1:
    $ question = "Q1"
    d "Mr Baltan, can you tell me where were you in exactly 9 pm on the 31st of July of this year?"
    call baltan_n
    show kani normal with dissolve
    k "Your honor, since not everyone here knows Baltanese, may I act as a translator for my defendant?"
    j "You may."
    k "Thank you. Here's what my defendant said..."
    k "{i}I was dining at EAETR together with my friend.{/i}"
    $ in_object = True
    k "We have five witnesses to prove that. So as you can see, my defendant has an alibi of not being at the crime scene!"
    hide kani with dissolve
    j "Hmm..."
    $ in_object = False

label question_2:
    call music2
    $ question = "Q2"
    j "Any more questions?"
    d "Yes, your honor."
    d "Mr Baltan, what did you have for dinner in that restaurant?"
    call baltan_n
    show kani normal with dissolve
    $ in_object = True
    k "{i}I had a jug of green tea and Aquarian Steak.{/i}"
    k "My defendant still has that receipt with him."
    hide kani with dissolve
    j "Hmm..."
    $ in_object = False

label question_3:
    $ renpy.music.play("bgm/Examination ~ Allegro 2001.mp3")
    $ question = "Q3"
    j "Any more question?"
    show drake normal with dissolve
    d "..."
    extend "No, your honor."
    d "But I have something to show."
    call Invent
    
label postcourt:
    $ renpy.music.stop()
    scene black with dissolve
    "..."
    "......"
    "..."
    scene back base with dissolve
    j "The jury has come to a conclusion. Alien Baltan is "
    if proof >= 2:
        extend "guilty."
        show drake point with dissolve
        $ renpy.sound.play("sfx/object.wav")
        d "Justice is served!"
    else:
        extend "innocent."
        scene black with dissolve
        $ renpy.sound.play("sfx/laugh.wav")
        $ renpy.pause(3.392290)
    
    $ renpy.full_restart()
    

    
    
    